
<!-- affichage par id  OT traiter, non traiter et colturer  pour responsable + reçu -->


<!--  Afficher détails reclamation reçu  -->
<div *ngIf="isRecuDeteail">
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title" > <br/> </h4>
                            <p class="card-category"> </p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <div  *ngFor=" let c of reclamation" >

                                <table class="table" >
                                    <thead>
                                    <tr>
                                        <th scope="row"></th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <th scope="row">Reclamation</th>
                                        <td> {{c.id}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Date d'envoi</th>
                                        <td>{{c.date_envoi | date:'short'}}</td>
                                    </tr>

                                    <tr>
                                        <th scope="row">Gouvernante</th>
                                        <td>  {{c.Gouvernante.nom}} {{c.Gouvernante.prenom}} <br/>
                                            <span class="couleur ">    Tél: </span> &nbsp;  {{c.Gouvernante.telephone}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Emplacement</th>
                                        <td> {{c.Emplacement.libelle_emplacement}}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Pannes</th>
                                        <td><span *ngFor=" let p of c.Pannes" >{{p.libelle_panne}} <br/>  </span></td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Priorité</th>
                                        <td>{{c.priorite}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Observation</th>
                                        <td>{{c.observation}}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row"></th>
                                        <td></td>
                                    </tr>

                                    </tbody>

                                     </table>
                                    <button mat-raised-button type="submit" class="btn btn-danger pull-right"
                                            (click)="backToRec()">Annuler </button>
                                    <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                            [routerLink]="[ '/affecterReclamation', c.id ]">Affecter </button>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- affichage détail OT non traiter  -->
<div *ngIf="isNonTraiter">
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   "> Ordre de tarvail non traité </h4>
                            <p class="card-category"></p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <div  *ngFor=" let c of ordres" >
                                    <div>
                                        <div class="pull-right">
                                        <ul class="nav navbar-nav navbar-right">
                                            <li>
                                                <a href="" class="dropdown-toggle" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    <i class="material-icons">more_vert</i>
                                                </a>
                                                <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                                                    <li><a [routerLink]="[ '/traiterOrdreTravail', c.id ]"> Traiter </a></li>
                                                    <li><a  [routerLink]="[ '/modifierOrdreTravail', c.id ]">Modfier</a></li>
                                                    <li><a   [routerLink]="['/imprimerOrdreTravail', c.id ]">Imprimer</a></li>
                                                </ul>
                                            </li>

                                        </ul>
                                        </div>

                                    </div>
                                    <table class="table" >
                                        <thead>
                                        <tr>
                                            <th scope="row"></th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <th scope="row">Ordre de travail</th>
                                            <td> {{c.id}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Priorité</th>
                                            <td>{{c.priorite}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Responsable</th>
                                            <td> {{c.Responsable.nom}} {{c.Responsable.prenom}} <br/>
                                                <span class="couleur ">    Tél: </span> &nbsp; {{c.Responsable.telephone}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Gouvernante</th>
                                            <td> <span class="couleur "> </span> {{c.Gouvernante.nom}} {{c.Gouvernante.prenom}} <br/>
                                                <span class="couleur ">    Tél: </span> &nbsp;  {{c.Gouvernante.telephone}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Intervenant</th>
                                            <td> <span *ngFor=" let p of c.Intervenants"> {{p.nom}}  {{p.prenom}}  <br/>
                                               <span class="couleur "> Tél: </span> &nbsp; {{p.telephone}} <br/> <br/>
                                            </span> </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Priorité</th>
                                            <td>{{c.priorite}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Emplacement</th>
                                            <td> {{c.Emplacement.libelle_emplacement}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Pannes</th>
                                            <td><span *ngFor=" let p of c.Pannes" >{{p.libelle_panne}} <br/>  </span></td>
                                        </tr>

                                        <tr>
                                            <th scope="row">Observation</th>
                                            <td>{{c.observation}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date affectation</th>
                                            <td> {{c.date_limit_interv | date:'short'}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date début d'intervention</th>
                                            <td> {{c.date_deb_interv | date:'short'}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date limite d'intervention</th>
                                            <td> {{c.date_limit_interv | date:'short'}}</td>
                                        </tr>

                                        <tr>
                                            <th scope="row"></th>
                                            <td></td>
                                        </tr>

                                        </tbody>

                                    </table>
                                    <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left"
                                            (click)="backToNonTraiter()">Retour</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- affichage détail OT cloturer  -->
<div *ngIf=" isCloturer">
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title ">Ordre de tarvail cloturé </h4>
                            <p class="card-category"></p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <div  *ngFor=" let c of ordres" >
                                    <div>
                                        <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left"
                                                (click)="backToCloturer()">Retour</button>
                                    </div>
                                    <table class="table" >
                                        <thead>
                                        <tr>
                                            <th scope="row"></th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <th scope="row">Ordre de travail</th>
                                            <td> {{c.id}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Priorité</th>
                                            <td>{{c.priorite}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Responsable</th>
                                            <td> {{c.Responsable.nom}} {{c.Responsable.prenom}} <br/>
                                                <span class="couleur ">    Tél: </span> &nbsp; {{c.Responsable.telephone}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Gouvernante</th>
                                            <td> <span class="couleur "> </span> {{c.Gouvernante.nom}} {{c.Gouvernante.prenom}} <br/>
                                                <span class="couleur ">    Tél: </span> &nbsp;  {{c.Gouvernante.telephone}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Intervenant</th>
                                            <td> <span *ngFor=" let p of c.Intervenants"> {{p.nom}}  {{p.prenom}}  <br/>
                                               <span class="couleur "> Tél: </span> &nbsp; {{p.telephone}} <br/><br/>
                                            </span> </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Priorité</th>
                                            <td>{{c.priorite}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Emplacement</th>
                                            <td> {{c.Emplacement.libelle_emplacement}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Pannes</th>
                                            <td><span *ngFor=" let p of c.Pannes" >{{p.libelle_panne}} <br/>  </span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Pièces utilisées</th>
                                            <td><span *ngFor=" let k of c.Piece_stocks"> {{k.libelle_piece}} : {{k.Piece_reclamation.quantite_piece_rec}} <br/> </span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Observation</th>
                                            <td>{{c.observation}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Description</th>
                                            <td>{{c.description_interv}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date affectation</th>
                                            <td> {{c.date_limit_interv | date:'short'}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date début d'intervention</th>
                                            <td> {{c.date_deb_interv | date:'short'}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date limite d'intervention</th>
                                            <td> {{c.date_limit_interv | date:'short'}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date fin d'intervention</th>
                                            <td> {{c.date_fin_inter | date:'short'}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row"></th>
                                            <td></td>
                                        </tr>

                                        </tbody>

                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- affichage détail OT Traiter -->
<div *ngIf="isTraiter">

    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   "> Ordre de tarvail traité </h4>
                            <p class="card-category"></p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <div  *ngFor=" let c of ordres" >

                                    <table class="table" >
                                        <thead>
                                        <tr>
                                            <th scope="row"></th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <th scope="row">Ordre de travail</th>
                                            <td> {{c.id}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Priorité</th>
                                            <td>{{c.priorite}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Responsable</th>
                                            <td> {{c.Responsable.nom}} {{c.Responsable.prenom}} <br/>
                                                <span class="couleur ">    Tél: </span> &nbsp; {{c.Responsable.telephone}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Gouvernante</th>
                                            <td> <span class="couleur "> </span> {{c.Gouvernante.nom}} {{c.Gouvernante.prenom}} <br/>
                                                <span class="couleur ">    Tél: </span> &nbsp;  {{c.Gouvernante.telephone}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Intervenant</th>
                                            <td> <span *ngFor=" let p of c.Intervenants"> {{p.nom}}  {{p.prenom}}  <br/>
                                               <span class="couleur "> Tél: </span> &nbsp; {{p.telephone}} <br/><br/>
                                            </span> </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Priorité</th>
                                            <td>{{c.priorite}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Emplacement</th>
                                            <td> {{c.Emplacement.libelle_emplacement}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Pannes</th>
                                            <td><span *ngFor=" let p of c.Pannes" >{{p.libelle_panne}} <br/>  </span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Pièces utilisées</th>
                                            <td><span *ngFor=" let k of c.Piece_stocks"> {{k.libelle_piece}} : {{k.Piece_reclamation.quantite_piece_rec}} <br/> </span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Observation</th>
                                            <td>{{c.observation}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Description</th>
                                            <td>{{c.description_interv}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date affectation</th>
                                            <td> {{c.date_limit_interv | date:'short'}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date début d'intervention</th>
                                            <td> {{c.date_deb_interv | date:'short'}} </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date limite d'intervention</th>
                                            <td> {{c.date_limit_interv | date:'short'}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Date fin d'intervention</th>
                                            <td> {{c.date_fin_inter | date:'short'}}</td>
                                        </tr>
                                        <tr>
                                            <th scope="row"></th>
                                            <td></td>
                                        </tr>

                                        </tbody>

                                    </table>
                                    <button mat-raised-button type="submit" class="btn btn-danger pull-right"
                                            (click)="backToTraiter()">Retour</button>
                                    <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                            (click)="cloturerOT()">Cloturer
                                    </button>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

